Subject: Re: [PATCH v3 tip/core/rcu 0/14] Sparse-related updates for 3.13

From: Josh Triplett <[email-masked]>
Date: Fri, 11 Oct 2013 23:53:27 -0700

On Fri, Oct 11, 2013 at 04:16:59PM -0700, Paul E. McKenney wrote:
> Changes from v2:
> 
> o	Switch from rcu_assign_pointer() to ACCESS_ONCE() given that
> 	the pointers are all --rcu and already visible to readers,
> 	as suggested by Eric Dumazet and Josh Triplett.

Hang on a moment.  Do *none* of these cases need write memory barriers?

- Josh Triplet